org.gradle.api.plugins.quality

## Class JDependPlugin

- java.lang.Object
- - org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<JDepend>
  - - org.gradle.api.plugins.quality.JDependPlugin

- All Implemented Interfaces:
    Plugin<org.gradle.api.internal.project.ProjectInternal>

      public class JDependPlugin
      extends org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<JDepend>

  A `Plugin` that generates design quality metrics by scanning your source packages. This is done using the JDepend tool. This plugin will automatically generate a task for each Java source set. See JDepend for more information.
  See Also:
    `JDependExtension`, `JDepend`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_JDEPEND_VERSION`

    - ### Fields inherited from class org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin

      `project`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JDependPlugin()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `configureForSourceSet(SourceSet sourceSet, JDepend task)`
    `protected void` | `configureTaskDefaults(JDepend task, String baseName)`
    `protected CodeQualityExtension` | `createExtension()`
    `protected Class<JDepend>` | `getTaskType()`
    `protected String` | `getToolName()`

    - ### Methods inherited from class org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin

      `apply, beforeApply, conventionMappingOf, createConfigurations, getBasePlugin, getConfigurationName, getJavaPluginConvention, getReportName, getTaskBaseName, withBasePlugin`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_JDEPEND_VERSION

          public static final String DEFAULT_JDEPEND_VERSION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JDependPlugin

          public JDependPlugin()

  - ### Method Detail

    - #### getToolName

          protected String getToolName()

      Specified by:
        `getToolName` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<JDepend>`

    - #### getTaskType

          protected Class<JDepend> getTaskType()

      Specified by:
        `getTaskType` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<JDepend>`

    - #### createExtension

          protected CodeQualityExtension createExtension()

      Specified by:
        `createExtension` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<JDepend>`

    - #### configureTaskDefaults

          protected void configureTaskDefaults(JDepend task,
                                   String baseName)

      Overrides:
        `configureTaskDefaults` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<JDepend>`

    - #### configureForSourceSet

          protected void configureForSourceSet(SourceSet sourceSet,
                                   JDepend task)

      Overrides:
        `configureForSourceSet` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<JDepend>`